GIT-CAT-FILE(1)

NAME
git-cat-file - Provide content or type information for repository objects

SYNOPSIS
git-cat-file [-t | -s | -e | -p | <type>] <object>.sp

DESCRIPTION
Provides content or type of objects in the repository. The type is required unless -t or -p is used to find the object type, or -s is used to find the object size..sp

OPTIONS

<object>
    The sha1 identifier of the object.

-t  Instead of the content, show the object type identified by <object>.

-s  Instead of the content, show the object size identified by <object>.

-e  Suppress all output; instead exit with zero status if <object> exists and is a valid object.

-p  Pretty-print the contents of <object> based on its type.

<type>
    Typically this matches the real type of <object> but asking for a type that can trivially be dereferenced from the given <object> is also permitted. An example is to ask for a "tree" with <object> being a commit object that contains it, or to ask for a "blob" with <object> being a tag object that points at it.

OUTPUT
If -t is specified, one of the <type>..sp If -s is specified, the size of the <object> in bytes..sp If -e is specified, no output..sp If -p is specified, the contents of <object> are pretty-printed..sp Otherwise the raw (though uncompressed) contents of the <object> will be returned..sp

AUTHOR
Written by Linus Torvalds <torvalds@osdl.org>.sp

DOCUMENTATION
Documentation by David Greaves, Junio C Hamano and the git-list <git@vger.kernel.org>..sp

GIT
Part of the git(7) suite.sp